# Telcoin Network

## Telcoin Network

- [Overview](https://docs.telcoin.network/telcoin-network/readme.md)
- [Architecture](https://docs.telcoin.network/telcoin-network/architecture.md): Telcoin Network is a scalable, secure and efficient blockchain. Here's how we've managed it.
- [Native Token](https://docs.telcoin.network/telcoin-network/architecture/native-token.md): How Telcoin (TEL) started as an ERC-20 on Ethereum and is used as the native token on Telcoin Network.
- [Security](https://docs.telcoin.network/telcoin-network/architecture/security.md): Telcoin Network boasts a number of security features. The features and architecture that enable them is outlined on this page.
- [Transaction lifecycle](https://docs.telcoin.network/telcoin-network/architecture/transaction-lifecycle.md): Transactions go through a series of steps before being written to the Telcoin Network. These are outlined here.
- [Consensus Layer](https://docs.telcoin.network/telcoin-network/architecture/consensus-layer.md): Two key technologies, Narwhal and Bullshark, contribute to Telcoin Network's consensus layer.
- [Getting Started](https://docs.telcoin.network/telcoin-network/getting-started.md): This section will walk new blockchian developers through interacting with the blockchain, and introduce industry standard blockchain tools.
- [Reading Blockchain Data](https://docs.telcoin.network/telcoin-network/getting-started/reading-blockchain-data.md): Reading data is the simplest form of blockchain interaction.
- [cURL requests](https://docs.telcoin.network/telcoin-network/getting-started/reading-blockchain-data/curl-requests.md): We can query the blockchain instantly using cURL (Client URL) requests
- [Programmatic Requests](https://docs.telcoin.network/telcoin-network/getting-started/reading-blockchain-data/programmatic-requests.md): Build scripts using Axios or Requests, still calling read RPC methods but using more involved methods, e.g. eth\_call
- [eth\_blockNumber](https://docs.telcoin.network/telcoin-network/getting-started/reading-blockchain-data/programmatic-requests/eth_blocknumber.md): As a simple example, we can use TypeScript and axios (A typescript library for making API requests) to query the current block number.
- [eth\_call](https://docs.telcoin.network/telcoin-network/getting-started/reading-blockchain-data/programmatic-requests/eth_call.md): Let's cover a slightly tougher RPC call which will introduce some more blockchain concepts.
- [Libraries](https://docs.telcoin.network/telcoin-network/getting-started/reading-blockchain-data/libraries.md): So far we have looked at reading blockchain data directly from the blockchain by calling RPC nodes using HTTP requests. We've also seen how to decode responses. Much of this can be abstracted away.
- [Dapp Development](https://docs.telcoin.network/telcoin-network/getting-started/dapp-development.md)
- [Development Tools](https://docs.telcoin.network/telcoin-network/getting-started/dapp-development/development-tools.md)
- [Faucet](https://docs.telcoin.network/telcoin-network/getting-started/faucet.md)
- [Hardware Requirements](https://docs.telcoin.network/telcoin-network/getting-started/hardware-requirements.md): Hardware requirements for full validator nodes.
- [Networks and RPC Endpoints](https://docs.telcoin.network/telcoin-network/networks-and-rpc-endpoints.md): This page lists the different Telcoin Networks and their respective public RPC endpoints.
- [RPC Methods](https://docs.telcoin.network/telcoin-network/readme-1.md): Documentation for interacting with Telcoin Network's JSON RPC.
- [eth\_accounts](https://docs.telcoin.network/telcoin-network/readme-1/eth_accounts.md): Returns a list of addresses owned by client
- [eth\_blockNumber](https://docs.telcoin.network/telcoin-network/readme-1/eth_blocknumber.md): Returns the current latest block number.
- [eth\_call](https://docs.telcoin.network/telcoin-network/readme-1/eth_call.md): Executes a new message call immediately without creating a transaction on the block chain. Often used for executing read-only smart contract functions, for example the balanceOf for an ERC-20 contract
- [eth\_chainId](https://docs.telcoin.network/telcoin-network/readme-1/eth_chainid.md): Returns the chain ID used for signing replay-protected transactions.
- [eth\_createAccessList](https://docs.telcoin.network/telcoin-network/readme-1/eth_createaccesslist.md)
- [eth\_estimateGas](https://docs.telcoin.network/telcoin-network/readme-1/eth_estimategas.md)
- [eth\_feeHistory](https://docs.telcoin.network/telcoin-network/readme-1/eth_feehistory.md): Returns historical gas information, allowing you to track trends over time.
- [eth\_gasPrice](https://docs.telcoin.network/telcoin-network/readme-1/eth_gasprice.md): Returns an estimate of the current price per gas in wei.
- [eth\_getBalance](https://docs.telcoin.network/telcoin-network/readme-1/eth_getbalance.md): Returns the balance of the account of given address.
- [eth\_getBlockByHash](https://docs.telcoin.network/telcoin-network/readme-1/eth_getblockbyhash.md): Returns information about a block by hash.
- [eth\_getBlockByNumber](https://docs.telcoin.network/telcoin-network/readme-1/eth_getblockbynumber.md): Returns information about a block by block number.
- [eth\_getBlockReceipts](https://docs.telcoin.network/telcoin-network/readme-1/eth_getblockreceipts.md): Returns all transaction receipts for a given block, the amount of gas used, and any event logs that might have been produced by a smart contract during the transaction.
- [eth\_getBlockTransactionCountByHash](https://docs.telcoin.network/telcoin-network/readme-1/eth_getblocktransactioncountbyhash.md): Returns the number of transactions in a block from a block matching the given block hash.
- [eth\_getBlockTransactionCountByNumber](https://docs.telcoin.network/telcoin-network/readme-1/eth_getblocktransactioncountbynumber.md): Returns the number of transactions in a block matching the given block number.
- [eth\_getCode](https://docs.telcoin.network/telcoin-network/readme-1/eth_getcode.md): Returns code at a given address.
- [eth\_getLogs](https://docs.telcoin.network/telcoin-network/readme-1/eth_getlogs.md): Returns an array of all logs matching a given filter object.
- [eth\_getProof](https://docs.telcoin.network/telcoin-network/readme-1/eth_getproof.md): Returns the account and storage values, including the Merkle proof, of the specified account.
- [eth\_getStorageAt](https://docs.telcoin.network/telcoin-network/readme-1/eth_getstorageat.md): Returns the value from a storage position at a given address.
- [eth\_getTransactionByBlockHashAndIndex](https://docs.telcoin.network/telcoin-network/readme-1/eth_gettransactionbyblockhashandindex.md): Returns information about a transaction by block hash and transaction index position.
- [eth\_getTransactionByBlockNumberAndIndex](https://docs.telcoin.network/telcoin-network/readme-1/eth_gettransactionbyblocknumberandindex.md): Returns information about a transaction by block number and transaction index position.
- [eth\_getTransactionByHash](https://docs.telcoin.network/telcoin-network/readme-1/eth_gettransactionbyhash.md): Returns the information about a transaction requested by transaction hash.
- [eth\_getTransactionCount](https://docs.telcoin.network/telcoin-network/readme-1/eth_gettransactioncount.md): Returns the number of transactions sent from an address.
- [eth\_getTransactionReceipt](https://docs.telcoin.network/telcoin-network/readme-1/eth_gettransactionreceipt.md): Returns the receipt of a transaction by transaction hash.
- [eth\_getUncleByBlockHashAndIndex](https://docs.telcoin.network/telcoin-network/readme-1/eth_getunclebyblockhashandindex.md): Returns information about a uncle of a block by hash and uncle index position.
- [eth\_getUncleByBlockNumberAndIndex](https://docs.telcoin.network/telcoin-network/readme-1/eth_getunclebyblocknumberandindex.md): Returns information about a uncle of a block given the block number and the uncle index position.
- [eth\_getUncleCountByBlockHash](https://docs.telcoin.network/telcoin-network/readme-1/eth_getunclecountbyblockhash.md): Returns the number of uncles in a block from a block matching the given block hash.
- [eth\_getUncleCountByBlockNumber](https://docs.telcoin.network/telcoin-network/readme-1/eth_getunclecountbyblocknumber.md): Returns the number of uncles in a block from a block matching the given block number.
- [eth\_maxPriorityFeePerGas](https://docs.telcoin.network/telcoin-network/readme-1/eth_maxpriorityfeepergas.md): Returns an estimate of how much priority fee, in wei, you need to be included in a block.
- [eth\_protocolVersion](https://docs.telcoin.network/telcoin-network/readme-1/eth_protocolversion.md): Returns the current Telcoin Network protocol version.
- [eth\_sendRawTransaction (to do)](https://docs.telcoin.network/telcoin-network/readme-1/eth_sendrawtransaction-to-do.md): Creates new message call transaction or a contract creation for signed transactions.
- [eth\_sendTransaction (to do)](https://docs.telcoin.network/telcoin-network/readme-1/eth_sendtransaction-to-do.md): Creates new message call transaction or a contract creation, if the data field contains code, and signs it using the account specified in from.
- [eth\_sign (todo)](https://docs.telcoin.network/telcoin-network/readme-1/eth_sign-todo.md): Calculates an Ethereum specific signature with: sign(keccak256("\x19Ethereum Signed Message:\n" + len(message) + message))).
- [eth\_syncing](https://docs.telcoin.network/telcoin-network/readme-1/eth_syncing.md): Returns an object with data about the sync status or false.
- [Filter Methods](https://docs.telcoin.network/telcoin-network/readme-1/filter-methods.md)
- [eth\_getFilterChanges](https://docs.telcoin.network/telcoin-network/readme-1/filter-methods/eth_getfilterchanges.md)
- [eth\_getFilterLogs](https://docs.telcoin.network/telcoin-network/readme-1/filter-methods/eth_getfilterlogs.md): Returns an array of all logs matching filter with given id.
- [eth\_newBlockFilter](https://docs.telcoin.network/telcoin-network/readme-1/filter-methods/eth_newblockfilter.md)
- [eth\_newFilter](https://docs.telcoin.network/telcoin-network/readme-1/filter-methods/eth_newfilter.md)
- [eth\_newPendingTransactionFilter](https://docs.telcoin.network/telcoin-network/readme-1/filter-methods/eth_newpendingtransactionfilter.md)
- [eth\_uninstallFilter](https://docs.telcoin.network/telcoin-network/readme-1/filter-methods/eth_uninstallfilter.md)
- [net\_listening](https://docs.telcoin.network/telcoin-network/readme-1/net_listening.md): Returns true if client is actively listening for network connections.
- [net\_peerCount](https://docs.telcoin.network/telcoin-network/readme-1/net_peercount.md): Returns number of peers currently connected to the client.
- [Reference](https://docs.telcoin.network/telcoin-network/reference.md): This section contains important information and constants related to Telcoin Network
- [Stablecoin Contracts](https://docs.telcoin.network/telcoin-network/reference/stablecoin-contracts.md): This page provides information regarding Telcoin Stablecoin contracts
- [Adiri](https://docs.telcoin.network/telcoin-network/reference/adiri.md): Why Adiri Testnet?
- [Staking](https://docs.telcoin.network/telcoin-network/staking.md): Information about staking for validators.
- [How Staking Works](https://docs.telcoin.network/telcoin-network/staking/how-staking-works.md): Validators stake TEL on Telcoin Network consensus registry to participate in consensus and earn block rewards.
- [Why Membership Model](https://docs.telcoin.network/telcoin-network/staking/why-membership-model.md): The primary goal is to incentivize validators to run more nodes, directly growing the size and resilience of the network. Every design decision flows from this objective.
- [How to Stake](https://docs.telcoin.network/telcoin-network/staking/how-to-stake.md): This guide covers the process for node operators to stake and activate a validator node on Telcoin Network.
- [Future Direction](https://docs.telcoin.network/telcoin-network/staking/future-direction.md): Staking was designed to be flexible and grow with the protocl.
- [Basefees](https://docs.telcoin.network/telcoin-network/basefees.md)
- [Gas Limit Penalty](https://docs.telcoin.network/telcoin-network/gas-limit-penalty.md)
- [EVM Compatibility](https://docs.telcoin.network/telcoin-network/evm-compatibility.md)
- [Epoch Boundaries](https://docs.telcoin.network/telcoin-network/epoch-boundaries.md): Epochs are relatively short-lived periods of time where random validators are assigned to committees to attest blocks. The boundary is where one epoch starts and another epoch ends.
- [Canonical Updates](https://docs.telcoin.network/telcoin-network/canonical-updates.md)
- [Economic Incentives and Rewards](https://docs.telcoin.network/telcoin-network/faqs/economic-incentives-and-rewards.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.telcoin.network/telcoin-network/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
